/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster;

import java.io.IOException;
import java.util.List;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;

import br.ufsc.cne.codemaster.control.Control;
import br.ufsc.cne.codemaster.objetos.Professor;
import br.ufsc.cne.codemaster.objetos.Projeto;
import br.ufsc.cne.codemaster.objetos.Turma;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
@WebServlet(name = "ExibirTurma", urlPatterns = {"/ExibirTurma"})
public class ExibirTurma extends HttpServlet {
    
    static Logger log = Logger.getLogger(ExibirTurma.class);

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
//        BasicConfigurator.configure();
        response.setContentType("text/html;charset=UTF-8");
        try {
            
            
            Integer idTurma = Integer.valueOf(request.getParameter("idTurma"));
            
            //verifica se a turma requisitada é do professor logado
            HttpSession sessao = request.getSession();
            Professor professor = (Professor) sessao.getAttribute("professor");
            Control control = new Control();
            List<Turma> turmas = control.listarTurmas(professor.getId());
            boolean turmaValida = false;
            for(Turma t : turmas){
                if(t.getId().equals(idTurma)){
                    turmaValida = true;
                }
            }
            if(!turmaValida){
                response.sendRedirect("erro.jsp");
            }
            

            //buscar projetos dessa turma
            List<Projeto> projetos = control.listarProjetos(idTurma);

            int amount = projetos.size();
            int counter = 0;
            String param;
            String msg;
            String type = null;
            for (Projeto p: projetos) {
                param = "param" + counter;
                msg = p.getResultadoAvaliacao();
                request.setAttribute(param, msg);
                type = p.getTipoProjeto();
                counter++;
            }
            request.setAttribute("amount", amount);
            if (type.equals("Snap!")) {
                request.getRequestDispatcher("/professor_resultado_snap.jsp").forward(request, response);
            } else if (type.equals("AppInventor")) {
                request.getRequestDispatcher("/professor_resultado_appinventor.jsp").forward(request, response);
            }
        } catch (Exception e) {
            log.error("Não foi possivel exibir a turma selecionada.", e);
            try {
                response.sendRedirect("erro.jsp");
            } catch (Exception ex) {
                log.warn("Não foi possível redirecionar para a página de erro.", ex);
            }
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
