package br.ufsc.cne.codemaster;

import com.google.gson.Gson;
import java.io.File;
import java.io.IOException;
import org.apache.http.ParseException;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.mime.MultipartEntity;
import org.apache.http.entity.mime.content.FileBody;
import org.apache.http.entity.mime.content.StringBody;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.util.EntityUtils;
import org.apache.log4j.Logger;

public class HTTPClient {
    
    static Logger log = Logger.getLogger(HTTPClient.class);

    public String sendProjectToServerAndGetResponse(File projectFile, ProjectSettings settings) {
        String JSONGrade = "";
        Gson gson = new Gson();
        try {
            CloseableHttpClient httpclient = HttpClients.createDefault();
            HttpPost httppost = new HttpPost("http://localhost:8080/RESTGrader/rest/files/upload");
            FileBody fileBody = new FileBody(projectFile);
            StringBody stringBody = new StringBody(gson.toJson(settings));
            MultipartEntity multipart = new MultipartEntity();
            multipart.addPart("file", fileBody);
            multipart.addPart("settings", stringBody);
            httppost.setEntity(multipart);
            CloseableHttpResponse response = httpclient.execute(httppost);
            JSONGrade = EntityUtils.toString(response.getEntity());
            httpclient.close();
        } catch (IOException | ParseException ex) {
            log.error("Não foi possível enviar o projeto para o RESTGrader ou receber a avaliação.", ex);
        }
        return JSONGrade;
    }

}