/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.util;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import br.ufsc.cne.codemaster.objetos.Evento;


/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class EventoDAO {
    
    static Logger log = Logger.getLogger(EventoDAO.class);

    public void salvar(Evento evento) {
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps = conexao.prepareStatement(
                    "INSERT INTO `bd_code_master`.`evento` (`nome`, `data`, `id_turma`) VALUES (?, ?, ?);",
                    Statement.RETURN_GENERATED_KEYS
            );
            ps.setString(1, evento.getNome());
            java.sql.Date dataSql = new java.sql.Date(evento.getData().getTime());
            ps.setDate(2, dataSql);
            ps.setInt(3, evento.getIdTurma());
            
            ps.execute();
            
            final ResultSet rs = ps.getGeneratedKeys();
            if (rs.next()) {
                final int ultimoId = rs.getInt(1);
                evento.setId(ultimoId);
            }
            FabricaConexao.fecharConexao();
        } catch (SQLException ex) {
            log.error(ex);
        }

    }
    
    public List<Evento> buscaEventos(Integer id_turma){
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps = conexao.prepareStatement("SELECT * FROM bd_code_master.evento WHERE id_turma = ?;");
            ps.setInt(1, id_turma);
            ResultSet resultSet = ps.executeQuery();
            List<Evento> eventos = new ArrayList<>();
            while(resultSet.next()){
                Evento evento = new Evento();
                evento.setId(resultSet.getInt("id_evento"));
                evento.setNome(resultSet.getString("nome"));
                evento.setData(resultSet.getDate("data"));
                evento.setIdTurma(id_turma);
                eventos.add(evento);
            }
            return eventos;
        } catch (SQLException ex) {
            log.error(ex);
            return null;
        }
        
    }

}
