/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.util;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import br.ufsc.cne.codemaster.objetos.GrupoAlunos;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class GrupoAlunosDAO{
    
    static Logger log = Logger.getLogger(GrupoAlunosDAO.class);

    public void salvar(GrupoAlunos ga) {
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps = conexao.prepareStatement(
                    "INSERT INTO `bd_code_master`.`grupo_de_alunos` (`nome`, `id_evento`) VALUES (?, ?);",
                    Statement.RETURN_GENERATED_KEYS
            );
            ps.setString(1, ga.getNome());
            ps.setInt(2, ga.getIdEvento());
            
            ps.execute();
            
            final ResultSet rs = ps.getGeneratedKeys();
            if (rs.next()) {
                final int ultimoId = rs.getInt(1);
                ga.setId(ultimoId);
            }
            FabricaConexao.fecharConexao();
        } catch (SQLException ex) {
            log.error(ex);
        }

    }
    
    public List<GrupoAlunos> buscaAlunos(Integer id_evento){
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps = conexao.prepareStatement("SELECT * FROM bd_code_master.professor WHERE id_evento = ?;");
            ps.setInt(1, id_evento);
            ResultSet resultSet = ps.executeQuery();
            List<GrupoAlunos> grupos = new ArrayList<>();
            while(resultSet.next()){
                GrupoAlunos grupo = new GrupoAlunos();
                grupo.setId(resultSet.getInt("id_grupo_de_alunos"));
                grupo.setNome(resultSet.getString("nome"));
                grupo.setIdEvento(id_evento);
                grupos.add(grupo);
            }
            return grupos;
        } catch (SQLException ex) {
            log.error(ex);
            return null;
        }
        
    }

}
