/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.util;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import org.apache.log4j.Logger;

import br.ufsc.cne.codemaster.objetos.Professor;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class ProfessorDAO {
    
    static Logger log = Logger.getLogger(ProfessorDAO.class);

    public ProfessorDAO() {
    }

    public void salvar(Professor professor) {
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps;

            ps = conexao.prepareStatement(
                    "INSERT INTO `bd_code_master`.`professor` (`nome`, `instituicao`, `email`, `senha`, `disciplina`, `cidade`, `uf`, `pais`, `hash_validacao`, `validado`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?);",
                    Statement.RETURN_GENERATED_KEYS
            );

            ps.setString(1, professor.getNome());
            ps.setString(2, professor.getInstituicao());
            ps.setString(3, professor.getEmail());
            ps.setString(4, professor.getSenha());
            ps.setString(5, professor.getDisciplina());
            ps.setString(6, professor.getCidade());
            ps.setString(7, professor.getUf());
            ps.setString(8, professor.getPais());
            ps.setString(9, professor.getHashEmail());
            ps.setBoolean(10, professor.isEmailValido());
            ps.execute();

            final ResultSet rs = ps.getGeneratedKeys();
            if (rs.next()) {
                final int ultimoId = rs.getInt(1);
                professor.setId(ultimoId);
            }

            FabricaConexao.fecharConexao();
        } catch (SQLException ex) {
            log.error(ex);
        }

    }

    public Professor login(String email, String senha) {
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps;
            if (senha == null) {
                ps = conexao.prepareStatement("SELECT * FROM bd_code_master.professor WHERE email = ?;");
                ps.setString(1, email);
            } else {
                ps = conexao.prepareStatement("SELECT * FROM bd_code_master.professor WHERE email = ? AND senha = ? AND validado = 1;");
                ps.setString(1, email);
                ps.setString(2, senha);
            }

            ResultSet resultSet = ps.executeQuery();
            Professor professor = null;
            if (resultSet.next()) {
                professor = new Professor();
                professor.setId(resultSet.getInt("id_professor"));
                professor.setNome(resultSet.getString("nome"));
                professor.setEmail(resultSet.getString("email"));
                professor.setSenha(resultSet.getString("senha"));
                professor.setInstituicao(resultSet.getString("instituicao"));
                professor.setDisciplina(resultSet.getString("disciplina"));
                professor.setCidade(resultSet.getString("cidade"));
                professor.setUf(resultSet.getString("uf"));
                professor.setPais(resultSet.getString("pais"));
            }
            return professor;
        } catch (SQLException ex) {
            log.error(ex);
            return null;
        }

    }

    public boolean validarEmail(String hash) {
        boolean resp = false;
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps;

            ps = conexao.prepareStatement("SELECT * FROM bd_code_master.professor WHERE hash_validacao = ?;");
            ps.setString(1, hash);

            ResultSet resultSet = ps.executeQuery();

            if (resultSet.next()) {
                ps = conexao.prepareStatement("UPDATE bd_code_master.professor SET validado = ? WHERE id_professor = ?;");
                ps.setBoolean(1, true);
                ps.setInt(2, resultSet.getInt("id_professor"));

                int ret = ps.executeUpdate();

                if (ret == 1) {
                    resp = true;
                }
            }

            return resp;

        } catch (SQLException ex) {
            log.error(ex);

        }
        return resp;
    }
    
    public boolean salvarSenha (String email, String hashSenha) {
        boolean resp = false;
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps;

            ps = conexao.prepareStatement("SELECT * FROM bd_code_master.professor WHERE email = ?;");
            ps.setString(1, email);

            ResultSet resultSet = ps.executeQuery();

            if (resultSet.next()) {
                ps = conexao.prepareStatement("UPDATE bd_code_master.professor SET senha = ? WHERE id_professor = ?;");
                ps.setString(1, hashSenha);
                ps.setInt(2, resultSet.getInt("id_professor"));

                int ret = ps.executeUpdate();

                if (ret == 1) {
                    resp = true;
                }
            }

            return resp;

        } catch (SQLException ex) {
            log.error(ex);

        }
        return resp;
    }

}
