/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.util;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import br.ufsc.cne.codemaster.objetos.Projeto;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class ProjetoDAO {

    static Logger log = Logger.getLogger(ProjetoDAO.class);

    public void salvar(Projeto projeto) {
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps = conexao.prepareStatement(
                    "INSERT INTO `bd_code_master`.`projeto`(`nome_arquivo`,`resultado_avaliacao`,`tipo_projeto`,`id_grupo_de_alunos`,`config_avaliacao`)VALUES(?,?,?,?,?);",
                    Statement.RETURN_GENERATED_KEYS
            );
            ps.setString(1, projeto.getNomeArquivo());
            ps.setString(2, projeto.getResultadoAvaliacao());
            ps.setString(3, projeto.getTipoProjeto());
            ps.setInt(4, projeto.getIdGrupoAlunos());
            ps.setString(5, projeto.getConfigAvaliacao());

            ps.execute();

            final ResultSet rs = ps.getGeneratedKeys();
            if (rs.next()) {
                final int ultimoId = rs.getInt(1);
                projeto.setId(ultimoId);
            }

            FabricaConexao.fecharConexao();
        } catch (SQLException ex) {
            log.error(ex);
        }

    }

    public void salvarAlunoAnonimo(Projeto projeto) {
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps = conexao.prepareStatement(
                    "INSERT INTO `bd_code_master`.`projeto`(`nome_arquivo`,`resultado_avaliacao`,`tipo_projeto`,`config_avaliacao`)VALUES(?,?,?,?);",
                    Statement.RETURN_GENERATED_KEYS
            );
            ps.setString(1, projeto.getNomeArquivo());
            ps.setString(2, projeto.getResultadoAvaliacao());
            ps.setString(3, projeto.getTipoProjeto());
            ps.setString(4, projeto.getConfigAvaliacao());

            ps.execute();

            final ResultSet rs = ps.getGeneratedKeys();
            if (rs.next()) {
                final int ultimoId = rs.getInt(1);
                projeto.setId(ultimoId);
            }

            FabricaConexao.fecharConexao();
        } catch (SQLException ex) {
            log.error(ex);
        }

    }

    public List<Projeto> buscaProjetos(Integer id_turma) {
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps = conexao.prepareStatement("SELECT projeto.*, grupo_de_alunos.id_evento, evento.id_turma FROM grupo_de_alunos INNER JOIN projeto ON grupo_de_alunos.id_grupo_de_alunos = projeto.id_grupo_de_alunos INNER JOIN evento ON grupo_de_alunos.id_evento = evento.id_evento WHERE evento.id_turma = ?;");
            ps.setInt(1, id_turma);
            ResultSet resultSet = ps.executeQuery();
            List<Projeto> projetos = new ArrayList<>();
            while (resultSet.next()) {
                Projeto projeto = new Projeto();
                projeto.setId(resultSet.getInt("id_projeto"));
                projeto.setNomeArquivo(resultSet.getString("nome_arquivo"));
                projeto.setResultadoAvaliacao(resultSet.getString("resultado_avaliacao"));
                projeto.setTipoProjeto(resultSet.getString("tipo_projeto"));
                projeto.setConfigAvaliacao(resultSet.getString("config_avaliacao"));
                projetos.add(projeto);
            }
            return projetos;
        } catch (SQLException ex) {
            log.error(ex);
            return null;
        }

    }
}
