/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.util;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import br.ufsc.cne.codemaster.objetos.Turma;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class TurmaDAO {
    
    static Logger log = Logger.getLogger(TurmaDAO.class);

    public void salvar(Turma turma) {
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps = conexao.prepareStatement(
                    "INSERT INTO `bd_code_master`.`turma` (`nome`, `id_professor`) VALUES (?, ?);",
                    Statement.RETURN_GENERATED_KEYS
            );
            ps.setString(1, turma.getNome());
            ps.setInt(2, turma.getIdProfessor());
            
            ps.execute();
            
            final ResultSet rs = ps.getGeneratedKeys();
            if (rs.next()) {
                final int ultimoId = rs.getInt(1);
                turma.setId(ultimoId);
            }
            FabricaConexao.fecharConexao();
        } catch (SQLException ex) {
            log.error(ex);
        }

    }
    
    public List<Turma> buscaTurmas(Integer id_professor){
        try {
            Connection conexao = FabricaConexao.getConexao();
            PreparedStatement ps = conexao.prepareStatement("SELECT * FROM bd_code_master.turma WHERE id_professor = ?;");
            ps.setInt(1, id_professor);
            ResultSet resultSet = ps.executeQuery();
            List<Turma> turmas = new ArrayList<>();
            while(resultSet.next()){
                Turma turma = new Turma();
                turma.setId(resultSet.getInt("id_turma"));
                turma.setNome(resultSet.getString("nome"));
                turmas.add(turma);
            }
            return turmas;
        } catch (SQLException ex) {
            log.error(ex);
            return null;
        }
        
    }

}
