<%@page import="java.util.ResourceBundle"%>
<%@page import="java.util.Locale"%>
<%@page import="br.ufsc.cne.codemaster.AppInventorGrade"%>
<%@page import="com.google.gson.Gson"%>
<%@page import="java.text.NumberFormat"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage = "erro.jsp"%>
<!DOCTYPE html>
<html>

    <head>
        <style>
            .small-title {
                font-size: 30px;
                font-weight: 400;
                display: block;
            }

            td,
            th {
                border: 1px solid #cccccc;
                text-align: left;
                padding: 4px;
                width: 50%
            }

            .col-centered {
                float: none;
                margin: 0 auto;
            }

            table {
                width: 100%;
                border: 1px solid #cccccc;
            }
        </style>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css">
        <link rel="stylesheet" href="css/styles.css">
    </head>

    <% 
            String language;
            String country;
            if(request.getSession().getAttribute("language") == null || request.getSession().getAttribute("country") == null) {
                Locale automaticLocale = request.getLocale();
                language = automaticLocale.getLanguage();
                country = automaticLocale.getCountry();
                request.getSession().setAttribute("language", language);
                request.getSession().setAttribute("country", country);
            } else {
                language = (String) request.getSession().getAttribute("language");
                country = (String) request.getSession().getAttribute("country");
            }
            Locale locale = new Locale(language, country);
            ResourceBundle messages = ResourceBundle.getBundle("AlunoResultadoAppInventorBundle", locale);
    %>

    <%  
            Gson gson = new Gson();
            String msg = request.getAttribute("msg").toString();
            AppInventorGrade g = gson.fromJson(msg, AppInventorGrade.class);
            NumberFormat nf = NumberFormat.getInstance();
            nf.setMaximumFractionDigits(1);
            nf.setMinimumFractionDigits(1);
            String level = g.getNivel();
            String displayLevel = "";
            switch(level) {
                case "faixa branca": displayLevel = messages.getString("FaixaBranca"); break;
                case "faixa amarela": displayLevel = messages.getString("FaixaAmarela"); break;
                case "faixa vermelha": displayLevel = messages.getString("FaixaVermelha"); break;
                case "faixa laranja": displayLevel = messages.getString("FaixaLaranja"); break;
                case "faixa verde": displayLevel = messages.getString("FaixaVerde"); break;
                case "faixa roxa": displayLevel = messages.getString("FaixaRoxa"); break;
                case "faixa marrom": displayLevel = messages.getString("FaixaMarrom"); break;
                case "faixa preta": displayLevel = messages.getString("FaixaPreta"); break;
                case "faixa azul": displayLevel = messages.getString("FaixaAzul"); break;
                case "faixa turquesa": displayLevel = messages.getString("FaixaTurquesa"); break;
            }
    %>
    <%!
        public String getProgressBar(int value) {
            switch (value) {
                case 0:
                    return "bg-danger";
                case 1:
                    return "bg-danger";
                case 2:
                    return "bg-warning";
                case 3:
                    return "bg-success";
            }
            return "";
        }
    %>
    <%!
        public String getTotalProgressBar(int value) {
            if (value >= 0 && value < 14) {
                return "bg-danger";
            } else if (value < 28) {
                return "bg-warning";
            } else {
                return "bg-success";
            }
        }
    %>

    <body>
        <div class="py-3">
            <div class="container">
                <div class="row">
                    <div class="col-md-9">
                        <img class="center-block img-fluid d-block" src="resources/LogoCodeMaster.png" width="30%"> </div>
                    <div class="col-md-3 text-right align-self-end">
                        <a href="#" class="btn text-gray-dark px-0 disabled"></a>
                    </div>
                </div>
            </div>
        </div>
        <div class="bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered">
                        <div class="btn-group">
                            <a href="index.jsp" class="btn btn-success text-gray-dark"><%=messages.getString("HomeBtn")%></a>
                            <a href="aluno.jsp" class="btn btn-success"><b><%=messages.getString("AlunoBtn")%></b></a>
                            <div class="dropdown">
                                <button class="btn btn-success dropdown-toggle  text-gray-dark" type="button" data-toggle="dropdown"><%=messages.getString("ProfessorBtn")%><span class="caret"></span></button>
                                <ul class="dropdown-menu text-left px-2">
                                    <li><a href="professor.jsp" class="text-gray-dark"><%=messages.getString("ProfessorDropAvaliar")%></a></li>
                                    <li class="divider"></li>
                                    <li><a href="professor_turmas.jsp" class="text-gray-dark"><%=messages.getString("ProfessorDropTurmas")%></a></li>
                                </ul>
                            </div>
                            <a href="#" class="btn btn-success text-gray-dark"><%=messages.getString("AdminBtn")%></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="py-4">
            <div class="container">
                <div class="row">
                    <div class="col-md-12 text-center">
                        <h1 class="small-title"><b><%=messages.getString("TituloAvaliacao")%></b></h1>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="row">
                            <div class="card">
                                <div class="card-block">
                                    <h4 class="card-title text-center"><%=messages.getString("Nota")%> <%=nf.format(g.getNota())%><br> </h4>
                                    <p class="card-text p-y-1 text-center"><%=messages.getString("Nivel")%><%=displayLevel%>!</p>
                                    <img class="center-block img-fluid d-block py-3 mx-auto" src="resources/ninjas/<%=g.getNivel()%>.png" width="75%">
                                    <img class="center-block img-fluid d-block py-3 mx-auto" src="resources/rank.png">
                                    <a class="nav-link text-center" href="rubrica_appinventor.jsp"><%=messages.getString("MelhorarPontuacao")%></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-8 my-1">
                        <table class="table">
                            <thead class="">
                                <tr class="table-active">
                                    <th class="text-center"><%=messages.getString("ColunaConceito")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaPontuacao")%></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td><%=messages.getString("ConceitoTelas")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getTelas())%>" role="progressbar" aria-valuenow="<%=g.getTelas()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getTelas()%>%"> <span><strong class="text-gray-dark"><%=g.getTelas()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoInterface")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getInterfaceUsuario())%>" role="progressbar" aria-valuenow="<%=g.getInterfaceUsuario()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getInterfaceUsuario()%>%"> <span><strong class="text-gray-dark"><%=g.getInterfaceUsuario()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoNomeacao")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getNomeacaoProcedimentosVariaveis())%>" role="progressbar" aria-valuenow="<%=g.getNomeacaoProcedimentosVariaveis()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getNomeacaoProcedimentosVariaveis()%>%"> <span><strong class="text-gray-dark"><%=g.getNomeacaoProcedimentosVariaveis()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoEventos")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getEventos())%>" role="progressbar" aria-valuenow="<%=g.getEventos()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getEventos()%>%"> <span><strong class="text-gray-dark"><%=g.getEventos()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoAbstracao")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getAbstracaoProcedimentos())%>" role="progressbar" aria-valuenow="<%=g.getAbstracaoProcedimentos()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getAbstracaoProcedimentos()%>%"> <span><strong class="text-gray-dark"><%=g.getAbstracaoProcedimentos()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoLacos")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getLacos())%>" role="progressbar" aria-valuenow="<%=g.getLacos()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getLacos()%>%"> <span><strong class="text-gray-dark"><%=g.getLacos()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoCondicionais")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getCondicionais())%>" role="progressbar" aria-valuenow="<%=g.getCondicionais()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getCondicionais()%>%"> <span><strong class="text-gray-dark"><%=g.getCondicionais()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoListas")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getListas())%>" role="progressbar" aria-valuenow="<%=g.getListas()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getListas()%>%"> <span><strong class="text-gray-dark"><%=g.getListas()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoPersistencia")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getPersistenciaDados())%>" role="progressbar" aria-valuenow="<%=g.getPersistenciaDados()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getPersistenciaDados()%>%"> <span><strong class="text-gray-dark"><%=g.getPersistenciaDados()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoSensores")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getSensores())%>" role="progressbar" aria-valuenow="<%=g.getSensores()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getSensores()%>%"> <span><strong class="text-gray-dark"><%=g.getSensores()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoMidia")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getMidia())%>" role="progressbar" aria-valuenow="<%=g.getMidia()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getMidia()%>%"> <span><strong class="text-gray-dark"><%=g.getMidia()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoSocial")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getSocial())%>" role="progressbar" aria-valuenow="<%=g.getSocial()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getSocial()%>%"> <span><strong class="text-gray-dark"><%=g.getSocial()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoConectividade")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getConectividade())%>" role="progressbar" aria-valuenow="<%=g.getConectividade()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getConectividade()%>%"> <span><strong class="text-gray-dark"><%=g.getConectividade()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoDesenhoAnimacao")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getDesenhoAnimacao())%>" role="progressbar" aria-valuenow="<%=g.getDesenhoAnimacao()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getDesenhoAnimacao()%>%"> <span><strong class="text-gray-dark"><%=g.getDesenhoAnimacao()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><%=messages.getString("ConceitoOperadores")%></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getProgressBar(g.getOperadores())%>" role="progressbar" aria-valuenow="<%=g.getOperadores()%>" aria-valuemin="0" aria-valuemax="3" style="width: <%=(100.0 / 3) * g.getOperadores()%>%"> <span><strong class="text-gray-dark"><%=g.getOperadores()%>/3</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><b><%=messages.getString("Total")%></b></td>
                                    <td>
                                        <div class="progress">
                                            <div class="progress-bar progress-bar-striped <%=getTotalProgressBar(g.getTotal())%>" role="progressbar" aria-valuenow="<%=g.getTotal()%>" aria-valuemin="0" aria-valuemax="42" style="width: <%=(100.0 / 42) * g.getTotal()%>%"> <span><strong class="text-gray-dark"><%=g.getTotal()%>/42</strong></span> </div>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="container py-3">
            <div class="row">
                <div class="col-md-12"></div>
            </div>
        </div>
        <footer class="footer text-success bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered col-lg-9">
                        <img class="center-block img-fluid" src="resources/Logo1.png" width="10%">
                        <img class="center-block img-fluid" src="resources/Logo2.png" width="10%">
                        <img class="center-block img-fluid" src="resources/Logo3.png" width="6%">
                        <img class="center-block img-fluid py-2" src="resources/Logo4.png" width="4%"> </div>
                    <div class="col-md-2 text-left">
                        <img class="center-block img-fluid d-block my-4" src="resources/LogoCnE.png"> </div>
                </div>
            </div>
        </footer>
        <footer class="footer bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered">
                        <a href="sobre.jsp" class="card-link text-white"><%=messages.getString("SobreBtn")%> &nbsp; &nbsp; &nbsp;<b>|</b></a>
                        <a href="politica_de_privacidade.jsp" class="card-link text-white"><%=messages.getString("PoliticaBtn")%> &nbsp; &nbsp; &nbsp;<b>|</b></a>
                        <a href="termos_de_servico.jsp" class="card-link text-white"><%=messages.getString("TermosBtn")%></a>
                    </div>
                </div>
            </div>
        </footer>
        <script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"></script>
        <script src="https://pingendo.com/assets/bootstrap/bootstrap-4.0.0-alpha.6.min.js"></script>
    </body>

</html>
