<%@page import="java.util.ResourceBundle"%>
<%@page import="java.util.Locale"%>
<%@page import="br.ufsc.cne.codemaster.objetos.Professor"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>

<!DOCTYPE html>
<html>

    <head>
        <style>
            .small-title {
                font-size: 30px;
                font-weight: 400;
                display: block;
            }
            
            .small-text {
                font-size: 18px;
                font-weight: 100;
                display: block;
            }

            .myshadow {
                -moz-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
                -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
                box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
            }

            .col-centered {
                float: none;
                margin: 0 auto;
            }
            
            .no-click {
                pointer-events: none;
            }
        </style>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css">
        <link rel="stylesheet" href="css/wizard.css"> 
        <link rel="stylesheet" href="css/styles.css"> 
    </head>
    <%
        HttpSession sessao = request.getSession();
        Professor professor = (Professor) sessao.getAttribute("professor");
        if (professor == null) {
            response.sendRedirect("professor_login.jsp");
        }
    %>
    <% 
        String language;
        String country;
        if(request.getSession().getAttribute("language") == null || request.getSession().getAttribute("country") == null) {
            Locale automaticLocale = request.getLocale();
            language = automaticLocale.getLanguage();
            country = automaticLocale.getCountry();
            request.getSession().setAttribute("language", language);
            request.getSession().setAttribute("country", country);
        } else {
            language = (String) request.getSession().getAttribute("language");
            country = (String) request.getSession().getAttribute("country");
        }
        Locale locale = new Locale(language, country);
        ResourceBundle messages = ResourceBundle.getBundle("ProfessorBundle", locale);
    %>

    <body>
        <div class="py-3">
            <div class="container">
                <div class="row">
                    <div class="col-md-9">
                        <img class="center-block img-fluid d-block" src="resources/LogoCodeMaster.png" width="30%"> </div>
                    <div class="col-md-3 text-right align-self-end">
                        <a href="professor_logout.jsp" class="btn text-gray-dark px-0"><b>Logout</b></a>
                    </div>
                </div>
            </div>
        </div>
        <div class="bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered">
                        <div class="btn-group">
                            <a href="index.jsp" class="btn btn-success text-gray-dark"><%=messages.getString("HomeBtn")%></a>
                            <a href="aluno.jsp" class="btn btn-success text-gray-dark"><%=messages.getString("AlunoBtn")%></a>
                            <div class="dropdown">
                                <button class="btn btn-success dropdown-toggle" type="button" data-toggle="dropdown"><b><%=messages.getString("ProfessorBtn")%></b><span class="caret"></span></button>
                                <ul class="dropdown-menu text-left px-2">
                                    <li><a href="professor.jsp" class="text-gray-dark"><%=messages.getString("ProfessorDropAvaliar")%></a></li>
                                    <li class="divider"></li>
                                    <li><a href="professor_turmas.jsp" class="text-gray-dark"><%=messages.getString("ProfessorDropTurmas")%></a></li>
                                </ul>
                            </div>
                            <a href="#" class="btn btn-success text-gray-dark"><%=messages.getString("AdminBtn")%></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="py-4">
            <div class="container">
                <div class="row">
                    <div class="col-md-3"> </div>
                    <div class="align-self-center col-md-6">
                        <div class="gif-ninja"><img src="resources/Ninja-Final.gif"/></div>
                        <div class="card myshadow desaparece-quando-ninja">
                            <div class="card-block">
                                <div class="container">
                                    <!-- BREADCRUMBS --><!-- BREADCRUMBS --><!-- BREADCRUMBS --><!-- BREADCRUMBS -->
                                    <!-- BREADCRUMBS --><!-- BREADCRUMBS --><!-- BREADCRUMBS --><!-- BREADCRUMBS -->
                                    <div class="stepwizard">
                                        <div class="stepwizard-row setup-panel">
                                            <div class="stepwizard-step">
                                                <a href="#step-1" type="button" class="btn btn-success text-gray-dark no-click">1</a>
                                                <p><%=messages.getString("PassoTurma")%></p>
                                            </div>
                                            <div class="stepwizard-step">
                                                <a href="#step-2" type="button" class="btn btn-default text-gray-dark no-click" disabled="disabled">2</a>
                                                <p><%=messages.getString("PassoConceitosApp")%></p>
                                            </div>
                                            <div class="stepwizard-step">
                                                <a href="#step-3" type="button" class="btn btn-default text-gray-dark no-click" disabled="disabled">3</a>
                                                <p><%=messages.getString("PassoConceitosSnap")%></p>
                                            </div>
                                            <div class="stepwizard-step">
                                                <a href="#step-4" type="button" class="btn btn-default text-gray-dark no-click" disabled="disabled">4</a>
                                                <p><%=messages.getString("PassoArquivos")%></p>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- BREADCRUMBS --><!-- BREADCRUMBS --><!-- BREADCRUMBS --><!-- BREADCRUMBS -->
                                    <!-- FORM --><!-- FORM --><!-- FORM --><!-- FORM --><!-- FORM --><!-- FORM -->
                                    <form id="form-avaliar" class="well" action="Upload" enctype="multipart/form-data" method="post">
                                        <!-- STEP1 --><!-- STEP1 --><!-- STEP1 --><!-- STEP1 --><!-- STEP1 --><!-- STEP1 -->
                                        <!-- STEP1 --><!-- STEP1 --><!-- STEP1 --><!-- STEP1 --><!-- STEP1 --><!-- STEP1 -->
                                        <div class="row setup-content" id="step-1">
                                            <div class="col-md-12">
                                                <h5><br><%=messages.getString("NomeTurma")%></h5>
                                                <input type="text" id="fieldNomeTurma" required="required" class="form-control fieldNomeTurma" placeholder="<%=messages.getString("PlaceholderTurma")%>" name="nomeTurma">
                                                <h5><br><%=messages.getString("Linguagem")%></h5>
                                                <input type="radio" id="radioApp" name="language" value="AppInventor" checked> App Inventor<br>
                                                <input type="radio" id="radioSnap" name="language" value="Snap!"> Snap!<br><br>
                                                <button class="btn btn-success step1Btn btn-lg btn-block" type="button"><%=messages.getString("ProximoBtn")%></button>
                                                <div class="msgErroNomeTurma">
                                                    <span class="mensagem-de-erro-nome"><%=messages.getString("ErroNomeTurma")%></span>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- STEP1 --><!-- STEP1 --><!-- STEP1 --><!-- STEP1 --><!-- STEP1 --><!-- STEP1 -->
                                        <!-- STEP2 --><!-- STEP2 --><!-- STEP2 --><!-- STEP2 --><!-- STEP2 --><!-- STEP2 -->
                                        <div class="row setup-content" id="step-2">
                                            <div class="col-md-12">
                                                <h5><br><%=messages.getString("ConceitosApp")%></h5>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkTelas" value="" checked><%=messages.getString("ConceitoTelas")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkEventos" value="" checked><%=messages.getString("ConceitoEventos")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkInterface" value="" checked><%=messages.getString("ConceitoInterface")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkNomeacao" value="" checked><%=messages.getString("ConceitoNomeacao")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkAbstracaoProcedimentos" value="" checked><%=messages.getString("ConceitoAbstracaoProcedimentos")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkLacos" value="" checked><%=messages.getString("ConceitoLacos")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkCondicionais" value="" checked><%=messages.getString("ConceitoCondicionais")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkListas" value="" checked><%=messages.getString("ConceitoListas")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkPersistencia" value="" checked><%=messages.getString("ConceitoPersistencia")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkSensores" value="" checked><%=messages.getString("ConceitoSensores")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkMidia" value="" checked><%=messages.getString("ConceitoMidia")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkSocial" value="" checked><%=messages.getString("ConceitoSocial")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkConectividade" value="" checked><%=messages.getString("ConceitoConectividade")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkDesenhoAnimacao" value="" checked><%=messages.getString("ConceitoDesenhoAnimacao")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkOperadoresApp" value="" checked><%=messages.getString("ConceitoOperadoresApp")%></label>
                                                </div>
                                                <button class="btn btn-success step2Btn btn-lg btn-block" type="button"><%=messages.getString("ProximoBtn")%></button>
                                            </div>
                                        </div>
                                        <!-- STEP2 --><!-- STEP2 --><!-- STEP2 --><!-- STEP2 --><!-- STEP2 --><!-- STEP2 -->
                                        <!-- STEP3 --><!-- STEP3 --><!-- STEP3 --><!-- STEP3 --><!-- STEP3 --><!-- STEP3 -->
                                        <div class="row setup-content" id="step-3">
                                            <div class="col-md-12">
                                                <h5><br><%=messages.getString("ConceitosSnap")%></h5>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkLogica" value="" checked><%=messages.getString("ConceitoLogica")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkParalelismo" value="" checked><%=messages.getString("ConceitoParalelismo")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkInteratividadeUsuario" value="" checked><%=messages.getString("ConceitoInteratividadeUsuario")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkRepresentacaoDados" value="" checked><%=messages.getString("ConceitoRepresentacaoDados")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkControleFluxo" value="" checked><%=messages.getString("ConceitoControleFluxo")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkSincronizacao" value="" checked><%=messages.getString("ConceitoSincronizacao")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkAbstracao" value="" checked><%=messages.getString("ConceitoAbstracao")%></label>
                                                </div>
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="checkOperadoresSnap" value="" checked><%=messages.getString("ConceitoOperadoresSnap")%></label>
                                                </div>
                                                <button class="btn btn-success nextBtn btn-lg btn-block" type="button"><%=messages.getString("ProximoBtn")%></button>
                                            </div>
                                        </div>
                                        <!-- STEP3 --><!-- STEP3 --><!-- STEP3 --><!-- STEP3 --><!-- STEP3 --><!-- STEP3 -->
                                        <!-- STEP4 --><!-- STEP4 --><!-- STEP4 --><!-- STEP4 --><!-- STEP4 --><!-- STEP4 -->
                                        <div class="row setup-content" id="step-4">
                                            <div class="col-md-12">
                                                <h5><br><%=messages.getString("Enviar")%></h5>
                                                <p class="small-text text-left"><br><%=messages.getString("Frase1")%></p>
                                                <div class="form-group">
                                                    <input type="file" accept=".xml, .aia" multiple="multiple" name="file" required="required">
                                                </div>
                                                <p class="small-text text-left"><%=messages.getString("Frase2")%></p>
                                                <input type="submit" value="<%=messages.getString("AvaliarBtn")%>" class="btn btn-lg btn-block btn-success btn-dispara-ninja">
                                            </div>
                                        </div>
                                        <!-- STEP4 --><!-- STEP4 --><!-- STEP4 --><!-- STEP4 --><!-- STEP4 --><!-- STEP4 -->
                                    </form>
                                    <!-- FORM --><!-- FORM --><!-- FORM --><!-- FORM --><!-- FORM --><!-- FORM -->
                                    <!-- FORM --><!-- FORM --><!-- FORM --><!-- FORM --><!-- FORM --><!-- FORM -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container py-3">
            <div class="row">
                <div class="col-md-12"></div>
            </div>
        </div>
    </div>
    <footer class="footer text-success bg-success">
        <div class="container">
            <div class="row">
                <div class="col-centered col-lg-9">
                    <img class="center-block img-fluid" src="resources/Logo1.png" width="10%">
                    <img class="center-block img-fluid" src="resources/Logo2.png" width="10%">
                    <img class="center-block img-fluid" src="resources/Logo3.png" width="6%">
                    <img class="center-block img-fluid py-2" src="resources/Logo4.png" width="4%"> </div>
                <div class="col-md-2 text-left">
                    <img class="center-block img-fluid d-block my-4" src="resources/LogoCnE.png"> </div>
            </div>
        </div>
    </footer>
    <footer class="footer bg-success">
        <div class="container">
            <div class="row">
                <div class="col-centered">
                    <a href="sobre.jsp" class="card-link text-white"><%=messages.getString("SobreBtn")%> &nbsp; &nbsp; &nbsp;<b>|</b></a>
                    <a href="politica_de_privacidade.jsp" class="card-link text-white"><%=messages.getString("PoliticaBtn")%> &nbsp; &nbsp; &nbsp;<b>|</b></a>
                    <a href="termos_de_servico.jsp" class="card-link text-white"><%=messages.getString("TermosBtn")%></a>
                </div>
            </div>
        </div>
    </footer>
    <script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"></script>
    <script src="scripts/wizard.js"></script>
    <script src="scripts/gifninja.js"></script>
    <script src="scripts/nomeTurma.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"></script>
    <script src="https://pingendo.com/assets/bootstrap/bootstrap-4.0.0-alpha.6.min.js"></script>
</body>
</html>
