<%@page import="java.util.ResourceBundle"%>
<%@page import="java.util.Locale"%>
<%@page import="br.ufsc.cne.codemaster.objetos.Professor"%>
<%@page import="br.ufsc.cne.codemaster.AppInventorGrade"%>
<%@page import="com.google.gson.Gson"%>
<%@page import="java.text.NumberFormat"%>
<%@page import="java.util.Collection"%>
<%@page import="java.lang.reflect.Type"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage = "erro.jsp"%>

<!DOCTYPE html>
<html>

    <head>
        <style>
            td,
            th {
                border: 1px solid #bbbbbb;
                text-align: center;
                padding: 1px;
                width: 5%;
                font-size: 10px !important;
            }

            td.text-center {
                padding: 3px !important;
                font-size: 11px !important;
            }

            .small-title {
                font-size: 30px;
                font-weight: 400;
                display: block;
            }

            .col-centered {
                float: none;
                margin: 0 auto;
            }

            table {
                width: 100%;
                border: 1px solid #bbbbbb;
            }
        </style>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css">
        <link rel="stylesheet" href="css/styles.css"> 
    </head>

    <%
        HttpSession sessao = request.getSession();
        Professor professor = (Professor) sessao.getAttribute("professor");
        if (professor == null) {
            response.sendRedirect("professor_login.jsp");
        }
    %>

    <%
        String language;
        String country;
        if (request.getSession().getAttribute("language") == null || request.getSession().getAttribute("country") == null) {
            Locale automaticLocale = request.getLocale();
            language = automaticLocale.getLanguage();
            country = automaticLocale.getCountry();
            request.getSession().setAttribute("language", language);
            request.getSession().setAttribute("country", country);
        } else {
            language = (String) request.getSession().getAttribute("language");
            country = (String) request.getSession().getAttribute("country");
        }
        Locale locale = new Locale(language, country);
        ResourceBundle messages = ResourceBundle.getBundle("ProfessorResultadoAppInventorBundle", locale);
    %>

    <%
        NumberFormat nf = NumberFormat.getInstance();
        nf.setMaximumFractionDigits(2);
        nf.setMinimumFractionDigits(2);
        Gson gson = new Gson();
        int amount = (int) request.getAttribute("amount");
        String param = "";
        String msg = "";
        AppInventorGrade[] grades = new AppInventorGrade[amount];
        double sumTelas = 0;
        double sumInterfaceUsuario = 0;
        double sumNomeacaoProcedimentosVariaveis = 0;
        double sumEventos = 0;
        double sumAbstracaoProcedimentos = 0;
        double sumLacos = 0;
        double sumCondicionais = 0;
        double sumListas = 0;
        double sumPersistenciaDados = 0;
        double sumSensores = 0;
        double sumMidia = 0;
        double sumSocial = 0;
        double sumConectividade = 0;
        double sumDesenhoAnimacao = 0;
        double sumOperadores = 0;
        double sumTotal = 0;
        double sumNota = 0;
        for (int i = 0; i < amount; i++) {
            param = "param" + i;
            msg = request.getAttribute(param).toString();
            grades[i] = gson.fromJson(msg, AppInventorGrade.class);
            sumTelas += grades[i].getTelas();
            sumInterfaceUsuario += grades[i].getInterfaceUsuario();
            sumNomeacaoProcedimentosVariaveis += grades[i].getNomeacaoProcedimentosVariaveis();
            sumEventos += grades[i].getEventos();
            sumAbstracaoProcedimentos += grades[i].getAbstracaoProcedimentos();
            sumLacos += grades[i].getLacos();
            sumCondicionais += grades[i].getCondicionais();
            sumListas += grades[i].getListas();
            sumPersistenciaDados += grades[i].getPersistenciaDados();
            sumSensores += grades[i].getSensores();
            sumMidia += grades[i].getMidia();
            sumSocial += grades[i].getSocial();
            sumConectividade += grades[i].getConectividade();
            sumDesenhoAnimacao += grades[i].getDesenhoAnimacao();
            sumOperadores += grades[i].getOperadores();
            sumTotal += grades[i].getTotal();
            sumNota += grades[i].getNota();
        }
    %>
    <%!
        public String getBelt(String level, ResourceBundle messages) {
            String displayLevel = "";
            switch (level) {
                case "faixa branca":
                    displayLevel = messages.getString("FaixaBranca");
                    break;
                case "faixa amarela":
                    displayLevel = messages.getString("FaixaAmarela");
                    break;
                case "faixa laranja":
                    displayLevel = messages.getString("FaixaLaranja");
                    break;
                case "faixa vermelha":
                    displayLevel = messages.getString("FaixaVermelha");
                    break;
                case "faixa roxa":
                    displayLevel = messages.getString("FaixaRoxa");
                    break;
                case "faixa azul":
                    displayLevel = messages.getString("FaixaAzul");
                    break;
                case "faixa turquesa":
                    displayLevel = messages.getString("FaixaTurquesa");
                    break;
                case "faixa verde":
                    displayLevel = messages.getString("FaixaVerde");
                    break;
                case "faixa marrom":
                    displayLevel = messages.getString("FaixaMarrom");
                    break;
                case "faixa preta":
                    displayLevel = messages.getString("FaixaPreta");
                    break;
            }
            return displayLevel;
        }
    %>

    <body>
        <div class="py-3">
            <div class="container">
                <div class="row">
                    <div class="col-md-9">
                        <img class="center-block img-fluid d-block" src="resources/LogoCodeMaster.png" width="30%"> </div>
                    <div class="col-md-3 text-right align-self-end">
                        <a href="professor_logout.jsp" class="btn text-gray-dark px-0"><b>Logout</b></a>
                    </div>
                </div>
            </div>
        </div>
        <div class="bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered">
                        <div class="btn-group">
                            <a href="index.jsp" class="btn btn-success text-gray-dark"><%=messages.getString("HomeBtn")%></a>
                            <a href="aluno.jsp" class="btn btn-success text-gray-dark"><%=messages.getString("AlunoBtn")%></a>
                            <div class="dropdown">
                                <button class="btn btn-success dropdown-toggle" type="button" data-toggle="dropdown"><b><%=messages.getString("ProfessorBtn")%></b><span class="caret"></span></button>
                                <ul class="dropdown-menu text-left px-2">
                                    <li><a href="professor.jsp" class="text-gray-dark"><%=messages.getString("ProfessorDropAvaliar")%></a></li>
                                    <li class="divider"></li>
                                    <li><a href="professor_turmas.jsp" class="text-gray-dark"><%=messages.getString("ProfessorDropTurmas")%></a></li>
                                </ul>
                            </div>
                            <a href="#" class="btn btn-success text-gray-dark"><%=messages.getString("AdminBtn")%></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-md-12 py-2">
                    <h1 class="small-title text-center"><b><%=messages.getString("Titulo")%></b>&nbsp;<br></h1>
                </div>
            </div>
        </div>
        <div class="py-3">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <table class="table-cell text-center table-hover">
                            <thead class="text-center bg-faded">
                                <tr class="table-active">
                                    <th class="text-center"><%=messages.getString("ColunaProjeto")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaTelas")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaInterface")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaNomeacao")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaEventos")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaAbstracao")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaLacos")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaCondicionais")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaListas")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaPersistencia")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaSensores")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaMidia")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaSocial")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaConectividade")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaDesenhoAnimacao")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaOperadores")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaTotal")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaNota")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaNivel")%></th>
                                </tr>
                            </thead>
                            <tbody>
                                <%  for (int i = 0; i < amount; i++) {%>
                                <tr>
                                    <td class="text-center"><%=grades[i].getNomeProjeto()%></td>
                                    <td class="text-center"><%=grades[i].getTelas()%></td>
                                    <td class="text-center"><%=grades[i].getInterfaceUsuario()%></td>
                                    <td class="text-center"><%=grades[i].getNomeacaoProcedimentosVariaveis()%></td>
                                    <td class="text-center"><%=grades[i].getEventos()%></td>
                                    <td class="text-center"><%=grades[i].getAbstracaoProcedimentos()%></td>
                                    <td class="text-center"><%=grades[i].getLacos()%></td>
                                    <td class="text-center"><%=grades[i].getCondicionais()%></td>
                                    <td class="text-center"><%=grades[i].getListas()%></td>
                                    <td class="text-center"><%=grades[i].getPersistenciaDados()%></td>
                                    <td class="text-center"><%=grades[i].getSensores()%></td>
                                    <td class="text-center"><%=grades[i].getMidia()%></td>
                                    <td class="text-center"><%=grades[i].getSocial()%></td>
                                    <td class="text-center"><%=grades[i].getConectividade()%></td>
                                    <td class="text-center"><%=grades[i].getDesenhoAnimacao()%></td>
                                    <td class="text-center"><%=grades[i].getOperadores()%></td>
                                    <td class="text-center"><%=grades[i].getTotal()%></td>
                                    <td class="text-center"><%=nf.format(grades[i].getNota())%></td>
                                    <td class="text-center"><%=getBelt(grades[i].getNivel(), messages)%></td>
                                </tr>
                                <%}%>
                                <tr>
                                    <td class="text-center"><b><%=messages.getString("Media")%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumTelas / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumInterfaceUsuario / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumNomeacaoProcedimentosVariaveis / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumEventos / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumAbstracaoProcedimentos / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumLacos / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumCondicionais / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumListas / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumPersistenciaDados / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumSensores / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumMidia / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumSocial / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumConectividade / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumDesenhoAnimacao / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumOperadores / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumTotal / amount)%></b></td>
                                    <td class="text-center"><b><%=nf.format(sumNota / amount)%></b></td>
                                    <td class="text-center"><b> </b></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="container py-3">
            <div class="row">
                <div class="col-md-12">
                    <a class="nav-link text-center" href="rubrica_appinventor.jsp"><%=messages.getString("CliqueRubrica")%></a>
                </div>
            </div>
        </div>
        <footer class="footer text-success bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered col-md-10">
                        <img class="center-block img-fluid" src="resources/Logo1.png" width="10%">
                        <img class="center-block img-fluid" src="resources/Logo2.png" width="10%">
                        <img class="center-block img-fluid" src="resources/Logo3.png" width="6%">
                        <img class="center-block img-fluid py-2" src="resources/Logo4.png" width="4%"> </div>
                    <div class="col-md-2 text-left">
                        <img class="center-block img-fluid d-block my-4" src="resources/LogoCnE.png"> </div>
                </div>
            </div>
        </footer>
        <footer class="footer bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered">
                        <a href="sobre.jsp" class="card-link text-white"><%=messages.getString("SobreBtn")%> &nbsp; &nbsp; &nbsp;<b>|</b></a>
                        <a href="politica_de_privacidade.jsp" class="card-link text-white"><%=messages.getString("PoliticaBtn")%> &nbsp; &nbsp; &nbsp;<b>|</b></a>
                        <a href="termos_de_servico.jsp" class="card-link text-white"><%=messages.getString("TermosBtn")%></a>
                    </div>
                </div>
            </div>
        </footer>
        <script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"></script>
        <script src="https://pingendo.com/assets/bootstrap/bootstrap-4.0.0-alpha.6.min.js"></script>
        
    </body>

</html>
