<%@page import="br.ufsc.cne.codemaster.control.Control"%>
<%@page import="java.util.ResourceBundle"%>
<%@page import="java.util.Locale"%>
<%@page import="java.util.ArrayList"%>
<%@page import="br.ufsc.cne.codemaster.objetos.Turma"%>
<%@page import="java.util.List"%>
<%@page import="br.ufsc.cne.codemaster.objetos.Professor"%>
<%@page import="br.ufsc.cne.codemaster.AppInventorGrade"%>
<%@page import="com.google.gson.Gson"%>
<%@page import="java.text.NumberFormat"%>
<%@page import="java.util.Collection"%>
<%@page import="java.lang.reflect.Type"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage = "erro.jsp"%>
<!DOCTYPE html>
<html>

    <head>
        <style>
            td,
            th {
                border: 1px solid #bbbbbb;
                text-align: center;
                padding: 1px;
                width: 5%;
                font-size: 10px !important;
            }

            td.text-center {
                padding: 3px !important;
                font-size: 11px !important;
            }

            .small-title {
                font-size: 30px;
                font-weight: 400;
                display: block;
            }

            .col-centered {
                float: none;
                margin: 0 auto;
            }

            table {
                width: 100%;
                border: 1px solid #bbbbbb;
            }
            
            input[type="text"] {
                border: none;
                text-align: center;
                background-color: transparent;
            }
            
            button.btn {
                cursor: pointer;
            }
            
        </style>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css">
        <link rel="stylesheet" href="css/styles.css"> 
    </head>

    <%
        HttpSession sessao = request.getSession();
        Professor professor = (Professor) sessao.getAttribute("professor");
        List<Turma> turmas = new ArrayList<>();
        if (professor == null) {
            response.sendRedirect("professor_login.jsp");
        }else{
            Control control = new Control();
            turmas = control.listarTurmas(professor.getId());
        }
    %>
    
    <% 
        String language;
        String country;
        if(request.getSession().getAttribute("language") == null || request.getSession().getAttribute("country") == null) {
            Locale automaticLocale = request.getLocale();
            language = automaticLocale.getLanguage();
            country = automaticLocale.getCountry();
            request.getSession().setAttribute("language", language);
            request.getSession().setAttribute("country", country);
        } else {
            language = (String) request.getSession().getAttribute("language");
            country = (String) request.getSession().getAttribute("country");
        }
        Locale locale = new Locale(language, country);
        ResourceBundle messages = ResourceBundle.getBundle("ProfessorTurmasBundle", locale);
    %>
    
    <body>
        <div class="py-3">
            <div class="container">
                <div class="row">
                    <div class="col-md-9">
                        <img class="center-block img-fluid d-block" src="resources/LogoCodeMaster.png" width="30%"> </div>
                    <div class="col-md-3 text-right align-self-end">
                        <a href="professor_logout.jsp" class="btn text-gray-dark px-0"><b>Logout</b></a>
                    </div>
                </div>
            </div>
        </div>
        <div class="bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered">
                        <div class="btn-group">
                            <a href="index.jsp" class="btn btn-success text-gray-dark"><%=messages.getString("HomeBtn")%></a>
                            <a href="aluno.jsp" class="btn btn-success text-gray-dark"><%=messages.getString("AlunoBtn")%></a>
                            <div class="dropdown">
                                <button class="btn btn-success dropdown-toggle" type="button" data-toggle="dropdown"><b><%=messages.getString("ProfessorBtn")%></b><span class="caret"></span></button>
                                <ul class="dropdown-menu text-left px-2">
                                    <li><a href="professor.jsp" class="text-gray-dark"><%=messages.getString("ProfessorDropAvaliar")%></a></li>
                                    <li class="divider"></li>
                                    <li><a href="professor_turmas.jsp" class="text-gray-dark"><%=messages.getString("ProfessorDropTurmas")%></a></li>
                                </ul>
                            </div>
                            <a href="#" class="btn btn-success text-gray-dark"><%=messages.getString("AdminBtn")%></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-md-12 py-2">
                    <h1 class="small-title text-center"><b><%=messages.getString("Titulo")%></b>&nbsp;<br></h1>
                </div>
            </div>
        </div>
        <div class="py-3">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <table class="table-cell text-center table-hover">
                            <thead class="text-center bg-faded">
                                <tr class="table-active">
                                    <th class="text-center"><%=messages.getString("ColunaID")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaNome")%></th>
                                    <th class="text-center"><%=messages.getString("ColunaSelecionar")%></th>
                                </tr>
                            </thead>
                            <tbody>
                                <%  for (int i = 0; i < turmas.size(); i++) {%>
                                <form action="ExibirTurma" class="">
                                <tr>
                                    <td class="text-center"><input name="idTurma" type="text" readonly="readonly" value="<%=turmas.get(i).getId()%>"></td>
                                    <td class="text-center"><input name="nomeTurma" type="text" readonly="readonly" value="<%=turmas.get(i).getNome()%>"></td>
                                    <td class="text-center"><button class="btn" type="submit"><%=messages.getString("VerBtn")%></button></td>
                                </tr>
                                </form>
                                <%}%>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="container py-3">
            <div class="row">
                <div class="col-md-12"></div>
            </div>
        </div>
        <footer class="footer text-success bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered col-md-10">
                        <img class="center-block img-fluid" src="resources/Logo1.png" width="10%">
                        <img class="center-block img-fluid" src="resources/Logo2.png" width="10%">
                        <img class="center-block img-fluid" src="resources/Logo3.png" width="6%">
                        <img class="center-block img-fluid py-2" src="resources/Logo4.png" width="4%"> </div>
                    <div class="col-md-2 text-left">
                        <img class="center-block img-fluid d-block my-4" src="resources/LogoCnE.png"> </div>
                </div>
            </div>
        </footer>
        <footer class="footer bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered">
                        <a href="sobre.jsp" class="card-link text-white"><%=messages.getString("SobreBtn")%> &nbsp; &nbsp; &nbsp;<b>|</b></a>
                        <a href="politica_de_privacidade.jsp" class="card-link text-white"><%=messages.getString("PoliticaBtn")%> &nbsp; &nbsp; &nbsp;<b>|</b></a>
                        <a href="termos_de_servico.jsp" class="card-link text-white"><%=messages.getString("TermosBtn")%></a>
                    </div>
                </div>
            </div>
        </footer>
        <script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"></script>
        <script src="https://code.jquery.com/jquery-3.1.0.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"></script>
        <script src="https://pingendo.com/assets/bootstrap/bootstrap-4.0.0-alpha.6.min.js"></script>
    </body>

</html>