<%-- 
    Document   : termos_de_servico
    Created on : Sep 4, 2017, 4:29:56 PM
    Author     : rafaelpelle
--%>

<%@page import="java.util.ResourceBundle"%>
<%@page import="java.util.Locale"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage = "erro.jsp"%>
<!DOCTYPE html>
<html>

<head>
  <style>
    .col-centered {
      float: none;
      margin: 0 auto;
    }

    .small-title {
      font-size: 30px;
      font-weight: 400;
      display: block;
    }

    .myText {
      font-size: 27px;
    }

    .myshadow {
      -moz-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
      -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
      box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
    }
  </style>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css">
  <link rel="stylesheet" href="css/styles.css"> 
</head>

    <% 
        String language;
        String country;
        if(request.getSession().getAttribute("language") == null || request.getSession().getAttribute("country") == null) {
            Locale automaticLocale = request.getLocale();
            language = automaticLocale.getLanguage();
            country = automaticLocale.getCountry();
            request.getSession().setAttribute("language", language);
            request.getSession().setAttribute("country", country);
        } else {
            language = (String) request.getSession().getAttribute("language");
            country = (String) request.getSession().getAttribute("country");
        }
        Locale locale = new Locale(language, country);
        ResourceBundle messages = ResourceBundle.getBundle("TermosBundle", locale);
    %>

<body>
  <div class="py-3">
    <div class="container">
      <div class="row">
        <div class="col-md-9">
          <img class="center-block img-fluid d-block" src="resources/LogoCodeMaster.png" width="30%"> </div>
        <div class="col-md-3 text-right align-self-end"> </div>
      </div>
    </div>
  </div>
  <div class="bg-success">
    <div class="container">
      <div class="row">
        <div class="col-centered">
          <div class="btn-group">
            <a href="index.jsp" class="btn btn-success text-gray-dark"><%=messages.getString("HomeBtn")%></a>
            <a href="aluno.jsp" class="btn btn-success text-gray-dark"><%=messages.getString("AlunoBtn")%></a>
            <div class="dropdown">
              <button class="btn btn-success dropdown-toggle  text-gray-dark" type="button" data-toggle="dropdown"><%=messages.getString("ProfessorBtn")%><span class="caret"></span></button>
              <ul class="dropdown-menu text-left px-2">
                <li>
                  <a href="professor.jsp" class="text-gray-dark"><%=messages.getString("ProfessorDropAvaliar")%></a>
                </li>
                <li class="divider"></li>
                <li>
                  <a href="professor_turmas.jsp" class="text-gray-dark"><%=messages.getString("ProfessorDropTurmas")%></a>
                </li>
              </ul>
            </div>
            <a href="#" class="btn btn-success text-gray-dark"><%=messages.getString("AdminBtn")%></a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="py-4">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <h1 class="small-title text-center py-2"><b><%=messages.getString("Titulo")%></b></h1>
          <p class=""><b><%=messages.getString("Subtitulo1")%></b></p>
          <p class="pi-draggable text-justify"><%=messages.getString("Texto1")%></p>
          <p class="">
            <br><b><%=messages.getString("Subtitulo2")%></b></p>
          <p class="pi-draggable text-justify"><%=messages.getString("Texto2")%></p>
          <p class="">
            <br><b><%=messages.getString("Subtitulo3")%></b></p>
          <p class="pi-draggable text-justify"><%=messages.getString("Texto3")%></p>
        </div>
      </div>
    </div>
  </div>
  <footer class="footer text-success bg-success">
    <div class="container">
      <div class="row">
        <div class="col-centered col-md-10">
          <img class="center-block img-fluid" src="resources/Logo1.png" width="10%">
          <img class="center-block img-fluid" src="resources/Logo2.png" width="10%">
          <img class="center-block img-fluid" src="resources/Logo3.png" width="6%">
          <img class="center-block img-fluid py-2" src="resources/Logo4.png" width="4%"> </div>
        <div class="col-md-2 text-left">
          <img class="center-block img-fluid d-block my-4" src="resources/LogoCnE.png"> </div>
      </div>
    </div>
  </footer>
  <footer class="footer bg-success">
    <div class="container">
      <div class="row">
        <div class="col-centered">
          <a href="sobre.jsp" class="card-link text-white"><%=messages.getString("SobreBtn")%> &nbsp; &nbsp; &nbsp;<b>|</b></a>
          <a href="politica_de_privacidade.jsp" class="card-link text-white"><%=messages.getString("PoliticaBtn")%> &nbsp; &nbsp; &nbsp;<b>|</b></a>
          <a href="termos_de_servico.jsp" class="card-link text-white"><%=messages.getString("TermosBtn")%></a>
        </div>
      </div>
    </div>
  </footer>
  <script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"></script>
  <script src="https://pingendo.com/assets/bootstrap/bootstrap-4.0.0-alpha.6.min.js"></script>
</body>

</html>
