/**
 *To change this license header, choose License Headers in Project Properties.
 *To change this template file, choose Tools | Templates
 *and open the template in the editor.
 */
package br.ufsc.cne.codemaster.restgrader.appinventorgrader.codigo;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;
import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import br.ufsc.cne.codemaster.restgrader.appinventorgrader.AppInventorGrader;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class Codigo {

    private List<Document> codigosTelasLogica;
    private List<JSONObject> codigosTelasVisual;

    private Map<String, Integer> mapaTokensBlocos, mapaTokensDesigner, mapaTokensMutationBlocos;

    private List<Integer> qtdComponentesPorTelaLogica, qtdComponentesPorTelaVisual;
    
    private List<String> nomesProcedimentosEVariaveis;

    public List<String> getNomesProcedimentosEVariaveis() {
        return nomesProcedimentosEVariaveis;
    }
    
    static Logger log = Logger.getLogger(Codigo.class);

    public Codigo() {

        this.codigosTelasLogica = new ArrayList<>();
        this.codigosTelasVisual = new ArrayList<>();

        this.mapaTokensBlocos = new HashMap<>();
        this.mapaTokensDesigner = new HashMap<>();
        this.mapaTokensMutationBlocos = new HashMap<>();

        this.qtdComponentesPorTelaLogica = new ArrayList<>();
        this.qtdComponentesPorTelaVisual = new ArrayList<>();
        
        this.nomesProcedimentosEVariaveis = new ArrayList<>();

    }

    public Map<String, Integer> getMapaTokensMutationBlocos() {
        return mapaTokensMutationBlocos;
    }

    public Map<String, Integer> getMapaTokensBlocos() {
        return mapaTokensBlocos;
    }

    public Map<String, Integer> getMapaTokensDesigner() {
        return mapaTokensDesigner;
    }

    public List<Integer> getQtdComponentesPorTelaLogica() {
        return qtdComponentesPorTelaLogica;
    }

    public List<Integer> getQtdComponentesPorTelaVisual() {
        return qtdComponentesPorTelaVisual;
    }

    public void addCodigoLogica(Document codigo) {
        codigosTelasLogica.add(codigo);
    }

    public void addCodigoVisual(JSONObject codigo) {
        codigosTelasVisual.add(codigo);
    }

    public void gerarEstatisticasLogica() {
        int nTela = 0;
        for (Document d : codigosTelasLogica) {
            qtdComponentesPorTelaLogica.add(0);
            identificarQuantificarComponentesLogica(d.getFirstChild(), nTela);
            nTela++;
        }
        log.info("ESTATÍSTICAS BLOCOS LÓGICA: " + mapaTokensBlocos);
    }

    public void gerarEstatisticasVisual() {
        int nTela = 0;
        for (JSONObject j : codigosTelasVisual) {
            qtdComponentesPorTelaVisual.add(nTela, 0);
            identificarQuantificarComponentesVisuais(j, nTela);
            nTela++;
        }
        log.info("ESTATÍSTICAS COMPONENTES ÁREA DESIGNER: " + mapaTokensDesigner);
    }

    private void identificarQuantificarComponentesLogica(Node elementoInicial, int nTela) {
        //Laço para criar lista de elementos/blocos
        NodeList nodes = elementoInicial.getChildNodes();

        for (int i = 0; i < nodes.getLength(); i++) {
            Node node = nodes.item(i);

            if (node instanceof Element) {
                Element nodeAtual = (Element) node;
                String nomeTag = nodeAtual.getTagName();
                if (nomeTag.equals("block")) {

                    String nodeTipo = nodeAtual.getAttribute("type");
                    String id = nodeAtual.getAttribute("id");

                    //adiciona type ao map e qtde
                    if (mapaTokensBlocos.containsKey(nodeTipo)) {
                        int qtdToken = mapaTokensBlocos.get(nodeTipo);
                        mapaTokensBlocos.replace(nodeTipo, qtdToken, qtdToken + 1);
                    } else {
                        mapaTokensBlocos.put(nodeTipo, 1);
                    }

                    //Incrementa a quantidade de elementos presentes na tela atual
                    int nComponentes = qtdComponentesPorTelaLogica.get(nTela);
                    nComponentes++;
                    qtdComponentesPorTelaLogica.set(nTela, nComponentes);

                } else if (nomeTag.equals("mutation")) {
                    if (!(nodeAtual.getAttribute("else").equals(""))) {
                        //adiciona else ao map e qtde
                        if (mapaTokensMutationBlocos.containsKey("else")) {
                            int qtdToken = mapaTokensMutationBlocos.get("else");
                            mapaTokensMutationBlocos.replace("else", qtdToken, qtdToken + 1);
                        } else {
                            mapaTokensMutationBlocos.put("else", 1);
                        }
                    }
                    if (!(nodeAtual.getAttribute("elseif").equals(""))) {
                        //adiciona elseif ao map e qtde
                        if (mapaTokensMutationBlocos.containsKey("elseif")) {
                            int qtdToken = mapaTokensMutationBlocos.get("elseif");
                            mapaTokensMutationBlocos.replace("elseif", qtdToken, qtdToken + 1);
                        } else {
                            mapaTokensMutationBlocos.put("elseif", 1);
                        }
                    }
                    if (!nodeAtual.getAttribute("component_type").equalsIgnoreCase("")) {
                        //adiciona component type ao map e qtde
                        if (mapaTokensMutationBlocos.containsKey(nodeAtual.getAttribute("component_type"))) {
                            int qtdToken = mapaTokensMutationBlocos.get(nodeAtual.getAttribute("component_type"));
                            mapaTokensMutationBlocos.replace(nodeAtual.getAttribute("component_type"), qtdToken, qtdToken + 1);
                        } else {
                            mapaTokensMutationBlocos.put(nodeAtual.getAttribute("component_type"), 1);
                        }
                    }

                    
                    //Adiciona o nome de procedimentos e variaveis a lista de nomes
                } else if (nomeTag.equals("field") && nodeAtual.getAttribute("name").equals("NAME")) {
                    nomesProcedimentosEVariaveis.add(nodeAtual.getTextContent());
                } else if (nomeTag.equals("localname")) {
                    nomesProcedimentosEVariaveis.add(nodeAtual.getAttribute("name"));
                }

                identificarQuantificarComponentesLogica(node, nTela);
            }
        }
    }

    public void identificarQuantificarComponentesVisuais(JSONObject jsonObject, int nTela) {
        for (Iterator iterator = jsonObject.keySet().iterator(); iterator.hasNext();) {
            String key = (String) iterator.next();
            //System.out.println("key: " + key + " value: " + jsonObject.get(key));

            //adiciona $type ao map e qtde
            if (key.equalsIgnoreCase("$Type")) {
                String componente = (String) jsonObject.get(key);
                if (mapaTokensDesigner.containsKey(componente)) {
                    int qtdToken = mapaTokensDesigner.get(componente);
                    mapaTokensDesigner.replace(componente, qtdToken, qtdToken + 1);
                } else {
                    mapaTokensDesigner.put(componente, 1);
                }

                //Incrementa a quantidade de elementos presentes na tela atual
                qtdComponentesPorTelaVisual.set(nTela, qtdComponentesPorTelaVisual.get(nTela) + 1);

            }

            if (jsonObject.get(key) instanceof JSONObject) {
                identificarQuantificarComponentesVisuais((JSONObject) jsonObject.get(key), nTela);
            } else if (jsonObject.get(key) instanceof JSONArray) {
                JSONArray jsonArray = (JSONArray) jsonObject.get(key);
                for (int j = 0; j < jsonArray.size(); j++) {
                    if (jsonArray.get(j) instanceof JSONObject) {
                        JSONObject obj = (JSONObject) jsonArray.get(j);
                        identificarQuantificarComponentesVisuais(obj, nTela);
                    }
                }
            }

        }
    }

}
