/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.restgrader.appinventorgrader.io;

/**
 *
 * @author Matheus Demetrio
 */
/**
 * Código baseado em: http://www.journaldev.com/960/java-unzip-file-example
 */

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;
import org.apache.log4j.Logger;

public class Descompactador {

    static Logger log = Logger.getLogger(Descompactador.class);
    
    public List<String> listaBky, listaJson;

    public Descompactador() {
        listaBky = new ArrayList<>();
        listaJson = new ArrayList<>();
    }

    public void unZip(File projetoAIA, String destDir) {

        File dir = new File(destDir);

        // create output directory if it doesn't exist
        if (!dir.exists()) {
            dir.mkdirs();
        }
        FileInputStream fis;
        //buffer for read and write data to file
        byte[] buffer = new byte[1024];
        try {

            fis = new FileInputStream(projetoAIA);
            ZipInputStream zis = new ZipInputStream(fis);
            ZipEntry ze = zis.getNextEntry();
            while (ze != null) {
                String fileName = ze.getName();
                String ext = "";
                try {
                    ext = fileName.substring(fileName.lastIndexOf("."), fileName.length());
                } catch (Exception e) {
                    // TODO Auto-generated catch block
                    log.error("Problema ao obter extensão do arquivo!");
                    //e.printStackTrace();
                }

                //just extract .bky and .scm files
                if (ext.equalsIgnoreCase(".bky") || ext.equalsIgnoreCase(".scm")) {

                    String nameBkyScm = fileName.substring(fileName.lastIndexOf("/")+1, fileName.length());

                    File newFile = new File(destDir + File.separator + String.valueOf(UUID.randomUUID()) + nameBkyScm);

                    if (ext.equalsIgnoreCase(".bky")) {
                        listaBky.add(newFile.getPath());
                    } else if (ext.equalsIgnoreCase(".scm")) {
                        listaJson.add(newFile.getPath());
                    }

                    //System.out.println("Unzipping to " + newFile.getAbsolutePath());
                    FileOutputStream fos = new FileOutputStream(newFile);
                    int len;
                    while ((len = zis.read(buffer)) > 0) {
                        fos.write(buffer, 0, len);
                    }
                    fos.flush();
                    fos.close();

                }

                //close this ZipEntry
                zis.closeEntry();
                ze = zis.getNextEntry();
            }
            //close last ZipEntry
            zis.closeEntry();
            zis.close();
            fis.close();
        } catch (IOException e) {
            log.error("Problema ao extrair arquivos!");
            //e.printStackTrace();
        }

    }

}
