/**
 * Código baseado em: https://www.java-tips.org/java-se-tips-100019/46-org-w3c-dom/437-reading-a-dom-tree-from-xml-document.html
 */
package br.ufsc.cne.codemaster.restgrader.appinventorgrader.parse;

import static br.ufsc.cne.codemaster.restgrader.appinventorgrader.parse.JSONParse.log;

import java.io.File;
import java.io.IOException;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.FactoryConfigurationError;
import javax.xml.parsers.ParserConfigurationException;
import org.apache.log4j.Logger;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.xml.sax.SAXException;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class XMLParse {

    static Logger log = Logger.getLogger(XMLParse.class);

    public XMLParse() {
    }

    public Document carregarXML(String filePath) {
        Document documento = null;
        try {

            // Instanciamos uma nova implementação DOM:
            DocumentBuilderFactory factory
                    = DocumentBuilderFactory.newInstance();

            // temos que criar o document-loader:
            DocumentBuilder loader = factory.newDocumentBuilder();

            // Carregando árvore DOM:
            //System.out.println("--------- " + filePath + " ---------" );
            documento = loader.parse(filePath);

            // Pegamos o elemento root do xml:
            Node nodoInicial = documento.getFirstChild();
            //System.out.println("--------- " + nodoInicial.getNodeName() + " ---------" );

            //geramos as estatísticas do código carregado:
            //geraEstatisticas(nodoInicial);
            
            
            try {
                new File(filePath).deleteOnExit();
            } catch (Exception e) {
                log.warn("Problema ao excluir arquivos BKY de projeto do servidor.");
            }

        } catch (IOException | SAXException | ParserConfigurationException | FactoryConfigurationError ex) {
            // caso algum erro de IO ocorra:
            // caso algum erro de parse ocorra:
            // document-loader não pode ser criado
            // satisfazendo as config passadas
            // DOM-implementation não disponível
            // ou não pode ser instanciada:
            handleError(ex);
            return documento;

        }

        return documento;

    }

    public void handleError(Throwable ex) {
        log.error("Problema ao montar árvore de arquivo XML (se app contem tela vazia, esse erro é normal): " + ex);
    }
}
